%global _hardened_build 1

%define prefix	/usr

%define withkrb5 0
# Check for option at command line, ie:
# rpmbuild -bb imapproxy.spec --define 'with_krb5 1'
# with_krb5 indicates the Kerberos includes are needed (ie: Red Hat Linux 9)
%{?with_krb5:%define withkrb5 1}

Summary:	Imapproxy Daemon
Name:		up-imapproxy
Version:	1.2.7
Release:	17%{?dist}
#Copyright:	Dave McMurtrie
License:        GPL
Group:		Networking/Daemons
Source0:	http://www.imapproxy.org/downloads/up-imapproxy-%{version}.tar.gz
#Source1:	imapproxy.conf
Source2:	imapproxy.service
Url:		http://www.imapproxy.org
Packager:	Devrim SERAL <devrim@gazi.edu.tr>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel

BuildRequires:     systemd
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd


%description
This is a connection caching imapproxy daemon for proxied imap connections

%prep
%setup

%build
chmod 755 ./configure

%if %{withkrb5}
./configure --with-prefix=%{prefix} --with-krb5=/usr/kerberos
%else
./configure --with-prefix=%{prefix}
%endif
make OPT_FLAGS="$RPM_OPT_FLAGS"

%install
install -d %{buildroot}/etc
install -d %{buildroot}/%{prefix}/sbin
install -p -m 0644 scripts/imapproxy.conf %{buildroot}/etc
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0755 bin/in.imapproxyd %{buildroot}/%{prefix}/sbin/imapproxyd
install -p -m 0755 bin/pimpstat %{buildroot}/%{prefix}/sbin

install -p -D -m 0644 %{SOURCE2} \
    %{buildroot}%{_unitdir}/imapproxy.service

%clean
rm -rf %{buildroot}

%post
%systemd_post imapproxy.service

%preun
%systemd_preun imapproxy.service

%postun
%systemd_postun imapproxy.service

%files
%defattr(-, root, root)
%config /etc/imapproxy.conf
%doc README ChangeLog
%{_unitdir}/imapproxy.service
%attr(750,root,root) 		%{prefix}/sbin/imapproxyd
%attr(750,root,root) 		%{prefix}/sbin/pimpstat

%changelog
* Tue Nov 17 2015 LiRul <i909206@trbvm.com> - 1.2.7-1
- Compile for CentOS 7
- Add systemd service unit file

* Fri Jun 10 2005 William Hooper <whooper@freeshell.org>
- Removed obsolete Copyright tag
- Added License tag
- Removed extra Source tags

* Tue Mar 18 2003 Devrim SERAL<devrim@gazi.edu.tr>
- Created imapproxy.spec file
